Subject: Re: Completion in empty double-quotes generates error
From: Daniel Shahaf <[email-masked]>
To: [email-masked]
Date: Sat, 02 Apr 2016 03:29:50 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Bart Schaefer wrote on Fri, Apr 01, 2016 at 18:18:24 -0700:
> On Apr 1,  5:36am, Daniel Shahaf wrote:
> } Subject: Re: Completion in empty double-quotes generates error
> }
> } Bart Schaefer wrote on Wed, Mar 30, 2016 at 11:06:52 -0700:
> } > torch% ls ""<backward-char><complete-word>
> } > torch% ls " ../../../zsh-5.0/Src/Zle/zle_tricky.c:658: BUG: 0 <= wb (3) <= zlemetacs (2) <= we (3) is not true!
> } >        ls ""
> } > 
> } > If there is even one other character inside the quotes before completing, no
> } > error is reported.
> } 
> } I ran into this six months ago in 37012
> 
> I'm not confident this is the same bug, even though the DPUTS() which
> trips is the same one.
> 

Yes, that's all I meant to say.

> } there the reproducer was:
> } 
> } % : 2>1<backward-char><backward-char><<backward-char><complete-word>
> } zle_tricky.c:658: BUG: 0 <= wb (4) <= zlemetacs (2) <= we (5) is not true!
> 
> I can't reproduce this any longer, at least not with plain compinit and
> no zstyles.
> 

I can reproduce it in git b81b275ab30b06867a6ab13f774e90f0955dad88 under
'zsh -f' + 'autoload compinit; compinit'.  (I have a local patch that makes
'zsh -f' default to the emacs keymap unconditionally.)

I could try with your patch later and report the results, but I don't
understand how to change it for the ": 2>1" variant?

Cheers,

Daniel